Bug 2244307 - Review Request: python-colorthief - Grabs the dominant color or a representative color palette from an image
Summary: Review Request: python-colorthief - Grabs the dominant color or a representat...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lyes Saadi
QA Contact: Fedora Extras Quality Assurance
URL: https://github.com/fengsp/color-thief-py
Whiteboard:
Depends On:
Blocks: 2243755
TreeView+ depends on / blocked
 
Reported: 2023-10-15 17:55 UTC by Artem
Modified: 2024-01-21 04:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-01-21 04:21:24 UTC
Type: ---
Embargoed:
fedora: fedora-review+


Attachments (Terms of Use)
The .spec file difference from Copr build 6528241 to 6532600 (550 bytes, patch)
2023-10-16 21:59 UTC, Fedora Review Service
no flags Details | Diff
The .spec file difference from Copr build 6532600 to 6888264 (482 bytes, patch)
2024-01-12 15:17 UTC, Fedora Review Service
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Gitlab fedora/legal fedora-license-data issues 382 0 None opened License Review: python-colorthief 2023-10-15 22:22:01 UTC

Description Artem 2023-10-15 17:55:47 UTC
Spec URL: https://atim.fedorapeople.org/python-colorthief.spec
SRPM URL: https://atim.fedorapeople.org/python-colorthief-0.2.1-1.fc39.src.rpm

Description:
A Python module for grabbing the color palette from an image.

Fedora Account System Username: atim

Comment 1 Artem 2023-10-15 17:55:51 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=107548617

Comment 2 Fedora Review Service 2023-10-15 18:01:13 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6528241
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2244307-python-colorthief/fedora-rawhide-x86_64/06528241-python-colorthief/fedora-review/review.txt

Please take a look if any issues were found.

---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 3 Steve Cossette 2023-10-15 22:12:55 UTC
First thing will be to get the license approved by Fedora Legal: https://docs.fedoraproject.org/en-US/legal/license-review-process/

Might be difficult for this package.

Comment 6 Fedora Review Service 2023-10-16 21:59:47 UTC
Created attachment 1994221 [details]
The .spec file difference from Copr build 6528241 to 6532600

Comment 7 Fedora Review Service 2023-10-16 21:59:50 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6532600
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2244307-python-colorthief/fedora-rawhide-x86_64/06532600-python-colorthief/fedora-review/review.txt

Please take a look if any issues were found.

---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 8 Lyes Saadi 2023-12-27 01:55:17 UTC
Notes
=====
MUST:
- License field is not SPDX.
- Please run smoke tests.
SHOULD:
- The python3dist(pillow) requires isn't needed thanks to the automatic
  dependency generator.
- The -t option in %pyproject_buildrequires is useless.
- Maybe include the demo.py file as documentation? But if it's a hassle,
  don't mind, it isn't that important.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD 3-Clause License", "Unknown or generated". 12 files have
     unknown license. Detailed output of licensecheck in
     /var/home/lyes/Documents/reviews/2244307-python-
     colorthief/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[!]: The License field must be a valid SPDX expression.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 2179 bytes in 1 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[!]: Python packages MUST at least run smoke tests.
[-]: Binary eggs must be removed in %prep
     Note: Cannot find any build in BUILD directory (--prebuilt option?)
[x]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[!]: Package meets the Packaging Guidelines::Python
     Note: Smoke tests.
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-colorthief-0.2.1-1.fc40.noarch.rpm
          python-colorthief-0.2.1-1.fc40.src.rpm
================================================================================================= rpmlint session starts =================================================================================================
rpmlint: 2.5.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmp83epv2qf')]
checks: 32, packages: 2

python3-colorthief.noarch: W: python-missing-require Pillow
python-colorthief.src: W: description-shorter-than-summary
python3-colorthief.noarch: W: description-shorter-than-summary
============================================================ 2 packages and 0 specfiles checked; 0 errors, 3 warnings, 7 filtered, 0 badness; has taken 0.5 s ============================================================




Rpmlint (installed packages)
----------------------------
============================ rpmlint session starts ============================
rpmlint: 2.5.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 32, packages: 1

python3-colorthief.noarch: W: python-missing-require Pillow
python3-colorthief.noarch: W: description-shorter-than-summary
 1 packages and 0 specfiles checked; 0 errors, 2 warnings, 3 filtered, 0 badness; has taken 0.0 s 



Source checksums
----------------
https://files.pythonhosted.org/packages/source/c/colorthief/colorthief-0.2.1.tar.gz :
  CHECKSUM(SHA256) this package     : 079cb0c95bdd669c4643e2f7494de13b0b6029d5cdbe2d74d5d3c3386bd57221
  CHECKSUM(SHA256) upstream package : 079cb0c95bdd669c4643e2f7494de13b0b6029d5cdbe2d74d5d3c3386bd57221


Requires
--------
python3-colorthief (rpmlib, GLIBC filtered):
    python(abi)
    python3.12dist(pillow)
    python3dist(pillow)



Provides
--------
python3-colorthief:
    python-colorthief
    python3-colorthief
    python3.12-colorthief
    python3.12dist(colorthief)
    python3dist(colorthief)



Generated by fedora-review 0.10.0 (e79b66b) last change: 2023-07-24
Command line :/usr/bin/fedora-review -b 2244307
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Python, Shell-api
Disabled plugins: Ocaml, PHP, SugarActivity, R, Java, fonts, Haskell, Perl, C/C++
Disabled flags: EXARCH, EPEL6, EPEL7, DISTTAG, BATCH

Comment 9 Artem 2024-01-12 15:12:32 UTC
Thanks!

> License field is not SPDX.

Quote from license-fedora2spdx: "the input is already valid SPDX formula". I guess you looking on old one Spec?

> Please run smoke tests.

Done.

> The python3dist(pillow) requires isn't needed thanks to the automatic
> dependency generator.

Done.

> The -t option in %pyproject_buildrequires is useless.
Why it mentioned in Fedora guidelines then? https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_example_spec_file

> Maybe include the demo.py file as documentation? But if it's a hassle,
> don't mind, it isn't that important.

Done.

---

https://download.copr.fedorainfracloud.org/results/atim/playground/fedora-rawhide-x86_64/06888248-python-colorthief/python-colorthief.spec
https://download.copr.fedorainfracloud.org/results/atim/playground/fedora-rawhide-x86_64/06888248-python-colorthief/python-colorthief-0.2.1-1.fc40.src.rpm

---

I am also gladly add you as co-maintainter if you would like? You are good at Python and in general a maintainer who updates packages on time, which is great.

Comment 10 Fedora Review Service 2024-01-12 15:17:52 UTC
Created attachment 2008410 [details]
The .spec file difference from Copr build 6532600 to 6888264

Comment 11 Fedora Review Service 2024-01-12 15:17:55 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6888264
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2244307-python-colorthief/fedora-rawhide-x86_64/06888264-python-colorthief/fedora-review/review.txt

Please take a look if any issues were found.


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 12 Lyes Saadi 2024-01-12 15:39:42 UTC
> Quote from license-fedora2spdx: "the input is already valid SPDX formula". I guess you looking on old one Spec?

Indeed !

> Why it mentioned in Fedora guidelines then? https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_example_spec_file

It's for the tox deps, if they exist. Here, they don't : https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_build_macros

> I am also gladly add you as co-maintainter if you would like? You are good at Python and in general a maintainer who updates packages on time, which is great.

Sure! It'll allow us to maintain the Komikku stack together.

--- New nitpicks I've found ---

Consider dropping i686 : https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval (it also concerns noarch packages it seem) by adding :
```
ExcludeArch: %{ix86}
```

Consider using %autorelease/%autochangelog, they are now recommended in Fedora (but not obligatory) : https://fedoraproject.org/wiki/Changes/Rpmautospec_by_Default

Also, you can also remove :
```
%license LICENSE
```

Learned that recently, but the new python tools do that automatically. Test it by doing :
```
rpm -qL python3-colorthief-0.2.1-1.fc40.noarch.rpm
```
-L shows license files !

---

Anyway, all those are only suggestion, the package is thus approved !

Comment 13 Fedora Admin user for bugzilla script actions 2024-01-12 15:46:15 UTC
The Pagure repository was created at https://src.fedoraproject.org/rpms/python-colorthief

Comment 14 Fedora Update System 2024-01-12 17:02:51 UTC
FEDORA-2024-3f669f3fd3 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2024-3f669f3fd3

Comment 15 Fedora Update System 2024-01-13 18:19:12 UTC
FEDORA-2024-3f669f3fd3 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-3f669f3fd3 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-3f669f3fd3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2024-01-21 04:21:24 UTC
FEDORA-2024-3f669f3fd3 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.